Bug 9976 - Patent violation
Patent violation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gd (Show other bugs)
6.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
http://burnallgifs.org/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-05 11:06 EST by nick34
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-30 11:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nick34 2000-03-05 11:06:08 EST
Copies of GD that support the GIF format may no longer be used because of
a violation of Unisys's patents (http://burnallgifs.org/ |
http://www.boutell.com/gd/).

RedHat 6.1.92 still ships with version 1.3.6, I think this is a violation
of patents you should be aware of.

Keep up the good work and I hope this information is usefull to you.

Regards, Nick Maeger
Comment 1 Nalin Dahyabhai 2000-03-06 08:35:59 EST
As of 1.3, gd no longer supports LZW compression, which is what Unisys's patent
covers.  The actual .gif file format is owned by CompuServe.  We're still using
version 1.3 until LinuxConf can be modified to use the newer version.
Comment 2 Nigel Metheringham 2000-05-30 10:09:59 EDT
See http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=11756
for a linuxconf enhancement request
Comment 3 Nalin Dahyabhai 2000-05-30 11:24:59 EDT
This will be fixed in the next release, which currently is slated to include
GD 1.8.2.  See Raw Hide (ftp://ftp.redhat.com/pub/rawhide/) for a snapshot.

Note You need to log in before you can comment on or make changes to this bug.